//
//  AppDelegate.h
//  plus
//
//  Created by Виктор Георгиев on 7/8/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreData/CoreData.h>

@interface AppDelegate : UIResponder <UIApplicationDelegate, UINavigationControllerDelegate>

@property (strong, nonatomic) UIWindow *window;

@property (readonly, strong, nonatomic) NSManagedObjectContext *managedObjectContext;
@property (readonly, strong, nonatomic) NSManagedObjectModel *managedObjectModel;
@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;

@property (assign, nonatomic) BOOL hasNotification;

- (void)saveContext;
- (NSURL *)applicationDocumentsDirectory;

@end

