//
//  PlacesViewController.h
//  plus
//
//  Created by Виктор Георгиев on 7/21/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>

@class Brand;
@class MainMenuViewController;
@class ContentHolderViewController;

@interface BrandsViewController : UIViewController<UICollectionViewDelegateFlowLayout, CLLocationManagerDelegate, UICollectionViewDelegate, UINavigationControllerDelegate>

@property (strong, nonatomic) MainMenuViewController *mainMenuViewController;

@property (strong, nonatomic) ContentHolderViewController *contentHolderViewController;

@property (strong, nonatomic) CLLocationManager *locationManager;

@property (weak, nonatomic) IBOutlet UICollectionView *brandsCollectionView;

@property (strong, nonatomic) NSArray<Brand *> *brandsArray;

@property (assign, nonatomic) BOOL areBrandsVisible;
@property (assign, nonatomic) BOOL loadFromSearchResults;
@property (assign, nonatomic) BOOL shouldAddBrands;
@property (assign, nonatomic) BOOL shouldDisplayAnimation;

@property (strong, nonatomic) NSNumber *brandId;

@property (strong, nonatomic) NSString *keyword;

-(void)setFilters;
-(void)showMap;
-(void)showSearchResults;
-(void)getBrandsList;

@end
