//
//  TempCollectionViewCell.h
//  plus
//
//  Created by Виктор Георгиев on 9/20/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>

@class CatalogueViewController;

@interface CatalogueCollectionViewCell : UICollectionViewCell<CAAnimationDelegate>

@property (weak, nonatomic) CatalogueViewController *catalogueViewController;

@property (weak, nonatomic) IBOutlet UIImageView *catalogueImageView;
@property (weak, nonatomic) IBOutlet UIImageView *cataloguePlacesCountImageView;

@property (weak, nonatomic) IBOutlet UIView *cataloguePromoView;
@property (weak, nonatomic) IBOutlet UIView *catalogueNewView;

@property (weak, nonatomic) IBOutlet UILabel *catalogueHeaderLabel;
@property (weak, nonatomic) IBOutlet UILabel *cataloguePromoLabel;
@property (weak, nonatomic) IBOutlet UILabel *catalogueNewLabel;
@property (weak, nonatomic) IBOutlet UILabel *catalogueNameLabel;
@property (weak, nonatomic) IBOutlet UILabel *catalogueCategoryLabel;
@property (weak, nonatomic) IBOutlet UILabel *catalogueDistanceLabel;
@property (weak, nonatomic) IBOutlet UILabel *cataloguePlacesCountLabel;

@property (weak, nonatomic) IBOutlet NSLayoutConstraint *catalogueImageViewHeightConstraint;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *catalogueDistanceLabelWidthConstraint;

@property (weak, nonatomic) IBOutlet NSLayoutConstraint *catalogueNameHeightConstraint;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *catalogueNameVerticalConstraint;

@property (weak, nonatomic) IBOutlet UIButton *catalogueFollowButton;

@property (assign, nonatomic) int followed;

@property (assign, nonatomic) BOOL isBrand;

@property (strong, nonatomic) NSNumber *locationId;

@end
