//
//  CatalogueViewController.h
//  plus
//
//  Created by Виктор Георгиев on 7/18/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import "CatalogueControlViewController.h"

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>

@class CatalogueControlViewController;
@class Promotion;
@class ShoppingCenter;
@class NewPlace;

@interface CatalogueViewController : UIViewController<UICollectionViewDelegate, UICollectionViewDataSource, UINavigationControllerDelegate>

@property (strong, nonatomic) CatalogueControlViewController *catalogueControlViewController;

@property (weak, nonatomic) IBOutlet UICollectionView *catalogueCollectionView;

@property (assign, nonatomic) int catalogueType;

@property (strong, nonatomic) NSArray<Promotion *> *promotionsArray;
@property (strong, nonatomic) NSArray<ShoppingCenter *> *shoppingCentersArray;
@property (strong, nonatomic) NSArray<NewPlace *> *newsArray;

@end
