//
//  DatePickerDialogViewController.m
//  plus
//
//  Created by Виктор Георгиев on 7/25/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import "DatePickerDialogViewController.h"

@interface DatePickerDialogViewController ()

@property (weak, nonatomic) IBOutlet UIDatePicker *datePicker;

@end

@implementation DatePickerDialogViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    if(self.datePickerOption == 0) {
        self.datePicker.datePickerMode = UIDatePickerModeDate;
    } else if([self.datePickerOption intValue] == 1) {
        self.datePicker.datePickerMode = UIDatePickerModeTime;
    }
    self.datePicker.date = [NSDate date];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    
}

- (IBAction)onDateSelected:(id)sender {
    [self dismissViewControllerAnimated:YES completion:^{
        self.onDismiss(self.datePicker.date);
    }];
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
