//
//  SinglePlaceViewController.h
//  plus
//
//  Created by Виктор Георгиев on 7/20/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import "Filter.h" 
#import "PinView.h"

@interface PlaceViewController : UIViewController<UIScrollViewDelegate, UITableViewDelegate, UITableViewDataSource, MKMapViewDelegate>

@property (weak, nonatomic) IBOutlet UITableView *promotionsTableView;

@property (strong, nonatomic) NSNumber *placeId;

@property (strong, nonatomic) NSString *headerFieldType;
@property (strong, nonatomic) NSString *headerTitle;
@property (strong, nonatomic) NSString *oldTitle;

@property (weak, nonatomic) IBOutlet NSLayoutConstraint *promotionsTableViewHeightConstraint;

-(int)changeRowHeight:(long)index withCurrentHeight:(int)currentHeight;

@property (assign, nonatomic) BOOL isFromMainDrawer;

@end
