//
//  PromotionTableViewCell.h
//  plus
//
//  Created by Виктор Георгиев on 8/30/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "PlaceViewController.h"

@class PromotionButton;
@class SingleBrandViewController;

@interface PromotionTableViewCell : UITableViewCell

@property (weak, nonatomic) SingleBrandViewController *singleBrandViewController;

@property (weak, nonatomic) PlaceViewController *placeViewController;

@property (weak, nonatomic) IBOutlet UILabel *promoLabel;
@property (weak, nonatomic) IBOutlet UILabel *promotionDuration;
@property (weak, nonatomic) IBOutlet UILabel *promotionNameLabel;
@property (weak, nonatomic) IBOutlet UILabel *promotionDescriptionLabel;

@property (weak, nonatomic) IBOutlet PromotionButton *promotionControlButton;

@property (weak, nonatomic) IBOutlet UIImageView *promotionImageView;

@property (weak, nonatomic) IBOutlet NSLayoutConstraint *promotionImageViewVerticalConstraint;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *promotionImageViewHeightConstraint;

@property (assign, nonatomic) long index;

@end
