//
//  ShoppingCenterPlaceCollectionViewCell.h
//  plus
//
//  Created by Виктор Георгиев on 9/9/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>

@class ShoppingCenterViewController;

@interface ShoppingCenterPlaceCollectionViewCell : UICollectionViewCell<CAAnimationDelegate>

@property (weak, nonatomic) ShoppingCenterViewController *shoppingCenterViewController;

@property (strong, nonatomic) NSNumber *locationId;

@property (assign, nonatomic) int followed;
@property (weak, nonatomic) IBOutlet UIButton *placeFollowButton;

@property (weak, nonatomic) IBOutlet UIImageView *placePlaceImageView;

@property (weak, nonatomic) IBOutlet UILabel *placeNameLabel;
@property (weak, nonatomic) IBOutlet UILabel *placeCategoryLabel;
@property (weak, nonatomic) IBOutlet UILabel *placeDistanceLabel;

@property (weak, nonatomic) IBOutlet NSLayoutConstraint *placeDistanceLabelWidthConstraint;

@end
