//
//  SingleBrandViewController.h
//  plus
//
//  Created by Виктор Георгиев on 8/29/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>

@interface SingleBrandViewController : UIViewController<UITableViewDelegate, UITableViewDataSource, MKMapViewDelegate, UIScrollViewDelegate>

@property (weak, nonatomic) IBOutlet UITableView *promotionsTableView;

@property (weak, nonatomic) IBOutlet NSLayoutConstraint *promotionsTableViewHeightConstraint;

@property (strong, nonatomic) NSNumber *brandId;
@property (strong, nonatomic) NSNumber *brandCategoryId;

@property (strong, nonatomic) NSString *headerFieldType;

@property (assign, nonatomic) BOOL isFromMainDrawer;

-(int)changeRowHeight:(long)index withCurrentHeight:(int)currentHeight;

@end
