//
//  BrandCollectionViewCell.h
//  plus
//
//  Created by Виктор Георгиев on 8/22/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>

@class BrandsViewController;

@interface BrandCollectionViewCell : UICollectionViewCell<CAAnimationDelegate>

@property (weak, nonatomic) BrandsViewController *brandsViewController;

@property (strong, nonatomic) UICollectionView *brandsCollectionView;

@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *loadIndicator;

@property (assign, nonatomic) int followed;

@property (assign, nonatomic) BOOL isBrand;

@property (strong, nonatomic) NSNumber *locationId;

@property (weak, nonatomic) IBOutlet UIView *brandPromoView;

@property (weak, nonatomic) IBOutlet UIImageView *brandImageView;
@property (weak, nonatomic) IBOutlet UIImageView *brandLocationsCountImageView;

@property (weak, nonatomic) IBOutlet UIButton *brandFollowButton;

@property (weak, nonatomic) IBOutlet UILabel *brandHeaderLabel;
@property (weak, nonatomic) IBOutlet UILabel *brandPromoLabel;
@property (weak, nonatomic) IBOutlet UILabel *brandNameLabel;
@property (weak, nonatomic) IBOutlet UILabel *brandCategoryLabel;
@property (weak, nonatomic) IBOutlet UILabel *brandLocationsCountLabel;
@property (weak, nonatomic) IBOutlet UILabel *brandDistanceLabel;

@property (weak, nonatomic) IBOutlet NSLayoutConstraint *brandNameLabelHeightConstraint;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *brandNameLabelVerticalConstraint;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *brandDistanceLabelWidthConstraint;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *brandPromoViewWidthConstraint;

@end
