//
//  CategoriesTableViewController.h
//  plus
//
//  Created by Виктор Георгиев on 7/12/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ItemCategory.h"

@interface CategoriesViewController : UIViewController<UINavigationControllerDelegate, CAAnimationDelegate, UITableViewDelegate, UITableViewDataSource>

@property (strong, nonatomic) UINavigationController *mainNavigationController;

- (void)getCategories;
- (void)checkSelected;
- (void)currentFilters;
- (void)categoriesSelect:(BOOL)select;

- (IBAction)onShowResultsPressed:(id)sender;

@property (strong, nonatomic) void (^onLoad)(NSUInteger maxLength);

@property (weak, nonatomic) IBOutlet UITableView *categoriesTableView;

@property (strong, nonatomic) NSArray<ItemCategory *> *categoriesArray;

@end
