//
//  MapViewController.h
//  plus
//
//  Created by Виктор Георгиев on 8/3/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import "Utils.h"

@class PinView;

@interface MapViewController : UIViewController<MKMapViewDelegate, CLLocationManagerDelegate>

@property (strong, nonatomic) CLLocationManager *locationManager;

@property (strong, nonatomic) PinView * pinView;

@property (assign, nonatomic) BOOL isMapVisible;
@property (assign, nonatomic) BOOL initialLaunch;

-(void)setPins:(CLLocationCoordinate2D)location;
-(void)showList;
-(void)setFilters;
-(void)setLocation:(CLLocation *)location;
-(void)refreshMap;

@end
