//
//  NotificationTableViewCell.h
//  plus
//
//  Created by Виктор Георгиев on 9/12/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>

@class NotificationsViewController;

@interface NotificationTableViewCell : UITableViewCell

@property (weak, nonatomic) NotificationsViewController *notificationsViewController;

@property (weak, nonatomic) IBOutlet UIView *notificationHeaderView;

@property (weak, nonatomic) IBOutlet UILabel *notificationTitleLabel;
@property (weak, nonatomic) IBOutlet UILabel *notificationDescriptionLabel;

@property (weak, nonatomic) IBOutlet UIImageView *notificationHeaderImageView;
@property (weak, nonatomic) IBOutlet UIImageView *notificationImageView;

@property (weak, nonatomic) IBOutlet UIButton *notificationButton;

@property (weak, nonatomic) IBOutlet NSLayoutConstraint *notificationHeaderImageViewWidthConstraint;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *notificationHeaderImageViewLeadingConstraint;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *notificationTitleViewHeightConstraint;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *notificationImageViewHeightConstraint;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *notificationDescriptionLabelBottomConstraint;

@property (assign, nonatomic) BOOL isBrand;

-(void)changeRowHeight:(CGFloat)height;

@end
