//
//  PlaceWithPromoTableViewCell.h
//  plus
//
//  Created by Виктор Георгиев on 9/4/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface PlaceWithPromoTableViewCell : UITableViewCell<UITableViewDelegate, UITableViewDataSource>

@property (strong, nonatomic) NSArray<NSDictionary *> *promotionsArray;

@property (weak, nonatomic) IBOutlet UITableView *placePromotionsTableView;

@property (weak, nonatomic) IBOutlet UILabel *placeLocationLabel;
@property (weak, nonatomic) IBOutlet UILabel *placeDistanceLabel;
@property (weak, nonatomic) IBOutlet UILabel *placePromotionLabel;

@property (weak, nonatomic) IBOutlet UIView *promotionsView;
@property (weak, nonatomic) IBOutlet UIView *placeNewPlaceView;

@property (weak, nonatomic) IBOutlet UIImageView *placeAddressImageView;

@property (weak, nonatomic) IBOutlet NSLayoutConstraint *placeViewHeightConstraint;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *placePromotionViewWidthConstraint;

@end
