//
//  PlaceWithPromoTableViewCell.m
//  plus
//
//  Created by Виктор Георгиев on 9/4/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import "PlaceWithPromoTableViewCell.h"
#import "PlacePromotionTableViewCell.h"

#import "Utils.h"

@implementation PlaceWithPromoTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];
}

-(CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
    CGFloat height = [[[self.promotionsArray objectAtIndex:indexPath.row] objectForKey:@"title"] boundingRectWithSize:CGSizeMake([UIScreen mainScreen].bounds.size.width - 84, CGFLOAT_MAX) options:NSStringDrawingUsesLineFragmentOrigin attributes: @{NSFontAttributeName : [UIFont fontWithName:@"PTSans-Regular" size:16]} context:nil].size.height;
    height += 36;
    return height;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.promotionsArray.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    PlacePromotionTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"PlacePromo"];
    cell.promotionTitle.text = [[self.promotionsArray objectAtIndex:indexPath.row] objectForKey:@"title"];
    cell.promoLabel.text = [Utils translate:@"Promo"];
    return cell;
}

@end
