//
//  Utils.h
//  plus
//
//  Created by Виктор Георгиев on 7/8/16.
//  Copyright © 2016 Outsourcing IT Services Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import "ItemCategory.h"

@interface Utils : NSObject

+ (NSString *)currentLanguage;

+ (NSString *) translate:(NSString *) UtilsKey;

+ (UIColor *)colorFromHexString:(NSString *)hexString;

+ (UIImage *)imageWithImage:(UIImage *)image scaledToSize:(CGSize)newSize;

+ (void)setCategories:(NSArray<ItemCategory *> *)array;

+ (NSArray<ItemCategory *> *)getCategories;

+ (void)saveLocation:(CLLocation *)location;

+ (CLLocation *)getLocation;

+ (void)displayAnimation;

+ (void)dismissAnimation;

+ (BOOL)deviceHasInternetConneciton;

@end



